LibAssociatedPrimesTest.cpp File Reference
`#include "stdinc.h"`
`#include "frobby.h"`
`#include "tests.h"`
`#include "IdealFactory.h"`
`#include "LibTest.h"`
`#include "BigIdeal.h"`
`#include <vector>`

Go to the source code of this file.

## Functions

| TEST (AssociatedPrimes, Typical)
| TEST (AssociatedPrimes, ZeroIdeal)
| TEST (AssociatedPrimes, WholeRing)

## Function Documentation

## TEST() [1/3]

TEST | ( | AssociatedPrimes | ,
|  | Typical | )

Definition at line 30 of file LibAssociatedPrimesTest.cpp.

## TEST() [2/3]

TEST | ( | AssociatedPrimes | ,
|  | WholeRing | )

Definition at line 52 of file LibAssociatedPrimesTest.cpp.

## TEST() [3/3]

TEST | ( | AssociatedPrimes | ,
|  | ZeroIdeal | )

Definition at line 39 of file LibAssociatedPrimesTest.cpp.